ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InvDeviceDao

- java.lang.Object
- - ru.bitel.common.dao.AbstractDao<B>
  - - ru.bitel.common.dao.AbstractIdDao<E>
    - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao<E>
      - - ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao<D>
        - - ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao<InvDevice,InetDeviceType>
          - - ru.bitel.bgbilling.modules.inet.api.server.bean.InvDeviceDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class InvDeviceDao
      extends DeviceDao<InvDevice,InetDeviceType>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `AbstractEntityAttrDao.AddressItemModifiedEventListener`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getImplPS, insertEntityPS, updateEntityPS`

    - ### Fields inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `entitySpecAttrDirectory, entitySpecDirectory, filterWeightComparator, userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_WHERE, tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvDeviceDao(java.sql.Connection con, int mid)`
    `InvDeviceDao(java.sql.Connection con, int mid, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<InetDeviceType>` | `getTypeDir()`
    `protected InvDevice` | `newDevice()`
    `protected InetDeviceType` | `newDeviceType(int id, java.lang.String title)`
    `void` | `update(InvDevice b)` Для обновления вызывать этот метод.

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.server.bean.DeviceDao

      `deleteImpl, getFromRS, getFromRSImpl, getTreeFromList, list, list, listByType, listByUptimeTime, move, node, node, root, root, updateImpl, updateUptime`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityDao

      `getFromRS, getImpl, linkEntity, list, list, listImpl, recycle, unlinkEntity`

    - ### Methods inherited from class ru.bitel.oss.kernel.entity.server.bean.AbstractEntityAttrDao

      `filterInit, filterJoin, filterToPS, getAttribute, getEntityAttributes, getEntitySpecAttrDirectory, getEntitySpecDirectory, getEntityTableName, getFromRS, listImpl, onAddressItemUpdate, updateEntityAttribute, updateEntityAttributes`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getSQLOrder, getSQLOrder, getTableName, list, listImpl, listImplPS, listImplPS, processException, setStatementParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvDeviceDao

          public InvDeviceDao(java.sql.Connection con,
                              int mid,
                              int userId)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### InvDeviceDao

          public InvDeviceDao(java.sql.Connection con,
                              int mid)
                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### newDevice

          protected InvDevice newDevice()

      Specified by:
        `newDevice` in class `DeviceDao<InvDevice,InetDeviceType>`

    - #### newDeviceType

          protected InetDeviceType newDeviceType(int id,
                                                 java.lang.String title)

      Specified by:
        `newDeviceType` in class `DeviceDao<InvDevice,InetDeviceType>`

    - #### getTypeDir

          protected ru.bitel.bgbilling.kernel.directory.api.common.Directory<InetDeviceType> getTypeDir()
                                                                                                 throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getTypeDir` in class `DeviceDao<InvDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(InvDevice b)
                      throws ru.bitel.bgbilling.common.BGException

      Description copied from class: `ru.bitel.common.dao.AbstractDao`
      Для обновления вызывать этот метод.
      Он в свою очередь вызавет updateImpl у конкретного наследника.
      Overrides:
        `update` in class `DeviceDao<InvDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`